Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dv
Class XSFacets

    java.lang.Object
      weblogic.apache.xerces.impl.dv.XSFacets

Deprecated. please use JDK supplied XML parsers and transformers

public class XSFacets
extends Object

The class used to pass all facets to `XSSimpleType.applyFacets(weblogic.apache.xerces.impl.dv.XSFacets, short, short, weblogic.apache.xerces.impl.dv.ValidationContext)`.

Field Summary
`Vector` | `enumeration` Deprecated. Vector containing values of Enumeration facet, as String's.
`Vector` | `enumNSDecls` Deprecated. An array parallel to "Vector enumeration".
`int` | `fractionDigits` Deprecated. value of fractionDigits facet.
`int` | `length` Deprecated. value of length facet.
`String` | `maxExclusive` Deprecated. value of maxExclusive facet.
`String` | `maxInclusive` Deprecated. value of maxInclusive facet.
`int` | `maxLength` Deprecated. value of maxLength facet.
`String` | `minExclusive` Deprecated. value of minExclusive facet.
`String` | `minInclusive` Deprecated. value of minInclusive facet.
`int` | `minLength` Deprecated. value of minLength facet.
`String` | `pattern` Deprecated. string containing value of pattern facet, for multiple patterns values are ORed together.
`int` | `totalDigits` Deprecated. value of totalDigits facet.
`short` | `whiteSpace` Deprecated. value of whiteSpace facet.

Constructor Summary
`XSFacets()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enumeration

    public Vector enumeration

  Deprecated.
  Vector containing values of Enumeration facet, as String's.

### enumNSDecls

    public Vector enumNSDecls

  Deprecated.
  An array parallel to "Vector enumeration". It contains namespace context of each enumeration value. Elements of this vector are NamespaceContext objects.

### fractionDigits

    public int fractionDigits

  Deprecated.
  value of fractionDigits facet.

### length

    public int length

  Deprecated.
  value of length facet.

### maxExclusive

    public String maxExclusive

  Deprecated.
  value of maxExclusive facet.

### maxInclusive

    public String maxInclusive

  Deprecated.
  value of maxInclusive facet.

### maxLength

    public int maxLength

  Deprecated.
  value of maxLength facet.

### minExclusive

    public String minExclusive

  Deprecated.
  value of minExclusive facet.

### minInclusive

    public String minInclusive

  Deprecated.
  value of minInclusive facet.

### minLength

    public int minLength

  Deprecated.
  value of minLength facet.

### pattern

    public String pattern

  Deprecated.
  string containing value of pattern facet, for multiple patterns values are ORed together.

### totalDigits

    public int totalDigits

  Deprecated.
  value of totalDigits facet.

### whiteSpace

    public short whiteSpace

  Deprecated.
  value of whiteSpace facet.

Constructor Detail

### XSFacets

    public XSFacets()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD